/* --------------------------------------Page globale-------------------------------------- */
body {
    font-family: "Century Gothic";
    color: #555;
}

.container{
    width: 100%;
    /*margin-left: 30%;*/
    padding-top: 20px;
    position: relative;
}

h1,h2,h3{
    text-align: center;
}

hr {
    width: 70%;
    padding: 1px 1px;
    background-color: #ddd;
}

/* --------------------------------------Conteneurs haut et bas-------------------------------------- */
.haut {
    position: absolute;
    width: 27%;
    top: 180px;
    left: 70%;
}

.bas {
    position: absolute;
    width: 70%;
}

/* --------------------------------------Conteneur de la barre de recherche-------------------------------------- */
.searchContainer {
    width: 100%;
    position: absolute;
    top: 145px;
}

/* --------------------------------------Conteneur formulaires ajout et modification-------------------------------------- */
.ajoutmodif {
    width: 100%;
    position: absolute;
    top: 225px;
}

/* --------------------------------------Style des input text-------------------------------------- */
.text{
    width: 90%;
    margin-bottom: 20px;
    margin-left: 5%;
    background-color: white;
    border-radius: 10px;
    font-family: "Century Gothic";
    padding: 12px 20px;
    box-sizing: border-box;
    border: 3px solid #ccc;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    outline: none;
    color: #555;
}

.text:focus {
    border: 3px solid #555;
}

/* --------------------------------------Style des boutons des formulaires ajout et modification-------------------------------------- */
.buttonform {
    font-family: "Century Gothic";
    background-color: white;
    border: 3px solid #ccc;
    color: #555;
    border-radius: 10px;
    padding: 12px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    -webkit-transition-duration: 0.4s;
    transition-duration: 0.4s;
    cursor: pointer;
}
.buttonsub:hover {
    border-color: #555;
}

/* --------------------------------------Style de l'input range-------------------------------------- */
.range {
    width: 30%;
    margin-left: 35%;
    -webkit-appearance: none;
    appearance: none;
    height: 5px;
    background: #ddd;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
}

.range:hover {
    opacity: 1;
}

.range::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 10px;
    height: 25px;
    background: #555;
    cursor: pointer;
    border-radius: 75%;
}

/* --------------------------------------Conteneur des boutons de sélection de page-------------------------------------- */
.btnContainer{
    padding-bottom: 10px;
    text-align: center;
}

/* --------------------------------------Style des boutons ▐◄   ◄   ►   ►▌-------------------------------------- */
.btn{
    font-family: "Century Gothic";
    background-color: white;
    border: 3px solid #ccc;
    color: #555;
    border-radius: 10px;
    padding: 12px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    -webkit-transition-duration: 0.4s;
    transition-duration: 0.4s;
    cursor: pointer;
}

.btn:hover {
    border-color: #555;
}

/* --------------------------------------Style des boutons de sélection de page-------------------------------------- */
.btns{
    font-family: "Century Gothic";
    background-color: white;
    border: 3px solid #ccc;
    color: #555;
    border-radius: 10px;
    padding: 6px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    -webkit-transition-duration: 0.4s;
    transition-duration: 0.4s;
    cursor: pointer;
}

.btns:hover {
    border-color: #555;
}

/* --------------------------------------Style des boutons cachés-------------------------------------- */
.invisible {
    cursor: not-allowed;
    pointer-events: none;
    color: white;
    background-color: white;
    border: none;
    /*
    width: 0px;
    padding: 0px 0px;
    margin: 0px 0px;
    */
}

/* --------------------------------------Style du tableau-------------------------------------- */
table,tr,td,th {
    border-collapse : collapse;
    padding : 5px;
    border-bottom: 3px solid #ccc;
    border-right: 3px solid #ccc;
    border-left: 3px solid #ccc;
    border-top: 3px solid #ccc;
}

.table{
    width: 90%;
    margin-left: 5%;
    margin-bottom: 20px;
}

th {
    background-color:#f5f5f5;
}

tbody tr:hover {
    background-color:#f5f5f5;
}

td {
    width: 40%;
}

.td1, .td2 {
    width: 10%;
}

/* --------------------------------------Style des icônes add, dell et edit-------------------------------------- */
.ico {
    width: 25px;
    height: 25px;
}